﻿using System;

namespace Memento
{
    class App
    {
        Picture picture;
        Snapshot snapshot = null;
        public App(Picture picture)
        {            
            SetPicture(picture);
        }
        public void SetPicture(Picture picture)
        {
            End();
            Console.WriteLine("사진을 설정합니다.");
            this.picture = picture;	
            Start();
        }
        void Start()
        {
            picture.View();
            snapshot = picture.MakeSnapshot();	
        }
        public void Change(int tone,int brightness,int saturation)
        {
            picture.Change(tone,brightness,saturation);
            picture.View();
        }
        public void Cancel()
        {
            if(snapshot!=null)
            {
                picture.SetBySnapshot(snapshot);	
            }
            End();	
        }
        public void End()
        {
            if(snapshot!=null)
            {		
                picture.View();
                
            }
            snapshot = null;	
        }
    }
}
